Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class NSInfo

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.NSInfo

public class NSInfo
extends java.lang.Object

This class holds information about the namespace info of a node. It is used to optimize namespace lookup in a generic DOM.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static int` | `ANCESTORHASXMLNS` Constant indicating an ancestor has an XMLNS attribute
`static int` | `ANCESTORNOXMLNS` Constant indicating ancestors don't have an XMLNS attribute
`static int` | `ANCESTORXMLNSUNPROCESSED` Constant for ancestors XMLNS atributes not processed
`int` | `m_ancestorHasXMLNSAttrs` Flag indicating whether one of this node's ancestor has an XMLNS attribute
`boolean` | `m_hasProcessedNS` Flag indicating whether namespaces have been processed for this node
`boolean` | `m_hasXMLNSAttrs` Flag indicating whether this node has an XMLNS attribute
`java.lang.String` | `m_namespace` The namespace URI

Constructor Summary
`NSInfo(boolean hasProcessedNS, boolean hasXMLNSAttrs)` Constructor NSInfo
`NSInfo(boolean hasProcessedNS, boolean hasXMLNSAttrs, int ancestorHasXMLNSAttrs)` Constructor NSInfo
`NSInfo(java.lang.String namespace, boolean hasXMLNSAttrs)` Constructor NSInfo

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_namespace

    public java.lang.String m_namespace

  The namespace URI

### m_hasXMLNSAttrs

    public boolean m_hasXMLNSAttrs

  Flag indicating whether this node has an XMLNS attribute

### m_hasProcessedNS

    public boolean m_hasProcessedNS

  Flag indicating whether namespaces have been processed for this node

### m_ancestorHasXMLNSAttrs

    public int m_ancestorHasXMLNSAttrs

  Flag indicating whether one of this node's ancestor has an XMLNS attribute

### ANCESTORXMLNSUNPROCESSED

    public static final int ANCESTORXMLNSUNPROCESSED

  Constant for ancestors XMLNS atributes not processed

### ANCESTORHASXMLNS

    public static final int ANCESTORHASXMLNS

  Constant indicating an ancestor has an XMLNS attribute

### ANCESTORNOXMLNS

    public static final int ANCESTORNOXMLNS

  Constant indicating ancestors don't have an XMLNS attribute

Constructor Detail

### NSInfo

    public NSInfo(boolean hasProcessedNS,
                  boolean hasXMLNSAttrs)

  Constructor NSInfo

  Parameters:
    `hasProcessedNS` - Flag indicating whether namespaces have been processed for this node
    `hasXMLNSAttrs` - Flag indicating whether this node has XMLNS attributes.

### NSInfo

    public NSInfo(boolean hasProcessedNS,
                  boolean hasXMLNSAttrs,
                  int ancestorHasXMLNSAttrs)

  Constructor NSInfo

  Parameters:
    `hasProcessedNS` - Flag indicating whether namespaces have been processed for this node
    `hasXMLNSAttrs` - Flag indicating whether this node has XMLNS attributes.
    `hasXMLNSAttrs` - Flag indicating whether one of this node's ancestor has XMLNS attributes.

### NSInfo

    public NSInfo(java.lang.String namespace,
                  boolean hasXMLNSAttrs)

  Constructor NSInfo

  Parameters:
    `namespace` - The namespace URI
    `hasXMLNSAttrs` - Flag indicating whether this node has XMLNS attributes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference